 
%define generic_name	sylpheed   
%define pre                0.8.11
%define name		%{generic_name}-claws 
%define version		%{pre}claws
%define version_name %{generic_name}-%{version}
%define release		1mdk
%define prefix		 %{_prefix}
%define iconname	%{generic_name}.png
%define	group		Networking/Mail
%define summary		Enhanced version of the Sylpheed e-mail client

Summary:		%{summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			 http://prdownloads.sf.net/%{generic_name}/%{version_name}.tar.bz2
Source1:               sylpheed-0.8.7claws-iconset.tar.bz2  
License:		GPL
URL:			http://sylpheed-claws.sf.net/
Requires:		gtk+ >= 1.2.10
Group:			%{group}
Buildroot:		%{_tmppath}/%{version_name}-%{release}-buildroot
BuildRequires:		libgpgme6-devel, faces-devel, libldap2-devel, openssl-devel
BuildRequires:		libaspell15-devel >= 0.50, libgdk-pixbuf2-devel, pilot-link-devel, aspell-dictionary
BuildRequires:		libsasl-devel
BuildRequires:		ImageMagick
BuildRequires:		libltdl-devel
Requires:		libgpgme >= 0.2.3, common-licenses, libopenssl0, libldap2, libltdl3
Requires:		libaspell15, libsasl7, aspell-dictionary
Requires:		libdb3.3, libgtk+1.2, libgdk-pixbuf2, libglib1.2 
Conflicts:             sylpheed-main     
Provides:	      %{generic_name}-claws, %{version_name} 

## additinal feature which can be enabled at configure are jconv, and ipv6   

## jconv
## A general purpose Japanese code conversion tool.
## BuildRequires: jconv
## Requires: jconv

## ipv6
## IPv6 is the protocol designed by the IETF to replace the current version Internet Protocol
## BuildRequires: iptables-ipv6
## Requires: iptables-ipv6

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package.  It has
some additional features, and also extends exisiting features.

Addtitional features include:
	o Scoring
	o Spell checking
	o Return receipts

Improved features include:
	o SMTP Auth
	o Filtering
	o MIME attachments
	o Integrated News reader
	o Automatic mail checking
	o Line-wrapping
	o XML-based addressbook
	o Newly arrived and unread message management
	o Printing
	o GnuPG support
	o address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://sylpheed-claws.sf.net/features.html


%package spamassassin-plugin
Summary: Spamassassin-plugin for %{name}
Group: %{group}
Requires: %{name} = %{version}-%{release}
Requires: spamassassin
BuildRequires: spamassassin

%description spamassassin-plugin
This package uses the spamd SpamAssassin server to check for spam mail.
- See README for configuration and set-up info.

%prep
rm -rf %{buildroot}
%setup -q -n %{version_name} 

%build
 
%configure2_5x --enable-aspell --enable-ldap --enable-jpilot --enable-openssl \
                         --enable-gpgme --enable-crash_dialog --enable-spamassassin-plugin                         
  

%make

##iconsets/themes for claws 
mkdir DATA.TMP
cd DATA.TMP 
tar xjf %{SOURCE1}
mv sylpheed-0.8.7claws-iconset themes 
cd ../../..

%install
 
%makeinstall_std 
 
mv DATA.TMP/themes $RPM_BUILD_ROOT%_datadir/sylpheed

##remove duplicate man#
rm -rfd  $RPM_BUILD_ROOT/usr/share/man
## remove unneeded file
rm -rf $RPM_BUILD_ROOT/%{_datadir}/sylpheed/themes/Crystal/.directory
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/*.a
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/*.la

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{generic_name}" \
	icon="%{iconname}" \
	title="Sylpheed Claws" \
	longtitle="%{summary}" \
	needs="x11" \
	section="%{group}"
EOF

%find_lang %{generic_name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files -f %{generic_name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING AUTHORS ChangeLog* NEWS README* INSTALL* TODO* RELEASE_NOTES.claws
%doc %dir %{_datadir}/%{generic_name}
%doc %dir %{_datadir}/%{generic_name}/manual
%doc %{_datadir}/%{generic_name}/manual/*/*
%doc %{_datadir}/%{generic_name}/faq/*/*.html
%{_bindir}/%{generic_name} 
%{_datadir}/%{generic_name}/themes/*
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/pixmaps/*.png
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files spamassassin-plugin
%defattr(-,root,root)
%doc src/plugins/spamassassin/README
%{_libdir}/%{generic_name}/plugins/*.*
 

%changelog
* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.11claws-1mdk
- update from Charles A Edwards <eslrahc@bellsouth.net>
  - Release 0.8.11
  - reset perms on src bz2
  - drop Makefile.in.patch - no longer needed
  - use makeinstall_std 

* Sat Feb 15 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.8.10claws-1mdk
- Release 0.8.10
- reset perms on src bz2
- add README to plugin pkg

* Fri Jan 24 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.8.9claws-1mdk
- 0.8.9
- reset perms on src bz2
- new pkg sylpheed-claws-spamassassin-plugin
- spec clean-up

* Tue Dec 26 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.8claws-1mdk
- 0.8.8
- revert naming scheme (updrades would not work with my new scheme  }: )
- update Source1 to sylpheed-0.8.7claws-iconset, rename to /themes  
- correct perms on src tar.bz2  
- 1 time only obsoletes, provides sylpheed-0.8.6claws, 0.8.5claws to allow urpmi to update system
  with previous versions installed (will not be needed for subsequent releases)
- list additional options which can be enabled at configure
- enable-ssl changed to enable-openssl
- add marco version_name
- no longer necessary to mv bin
- rm unneeded file
- add missing docs NLS, COPYING, NEWS, INSTALL*

* Mon Nov 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.6-1mdk
- 0.8.6
- correct permissions on src bz2
- remove Conflicts: sylpheed-claws--no longer needed
- correct command in menu
- add files faq
- add files sylpheed.desktop, pixmaps/sylpheed.png
- rm dup man entry from buildroot
 

* Thu Oct 31 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-2mdk
- sync name and versioning to more aptly reflect that used in Claws project 
- use autoconf2.5
- use aspell instead of pspell --enable-aspell
- enable crash_dialoge
- add BuildRequires libaspell15-devel, aspell-dictionary
- add Requires libaspell15, aspell-dictionary
- remove Requires BuildRequires for pspell
- add Source icoset-- provides several icon/theme sets for use in claws
- spec clean-up
- 
* Wed Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5claws-1mdk
- 0.8.5claws

* Sun Sep 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3claws-1mdk
- 0.8.3

* Thu Sep 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2claws-2mdk
- fix Requires gpgme, now libgpgme

* Wed Aug 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2claws-1mdk
- 0.8.2

* Thu Aug 08 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1claws-2mdk
- Fix BuildRequires and Requires

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1claws-1mdk
- 0.8.1

* Tue Jun 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.8claws-2mdk
- Fix Requires on libpilot-link4

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8claws-1mdk
- 0.7.8claws

* Fri May 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.6claws-1mdk
- A little late, but here it is: 0.7.6claws

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5claws-1mdk
- 0.7.5claws

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4claws-2mdk
- fix langs ( thx Yves Mettier )

* Tue Mar 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4claws-1mdk
- 0.7.4claws

* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.2claws-1mdk
- 0.7.2claws

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1claws-1mdk
- 0.7.1claws

* Wed Jan 23 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.0claws-1mdk
- 0.7.0claws

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.6claws-1mdk
- 0.6.6claws

* Thu Dec 13 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.5claws8-1mdk
- First claws version for Mandrake contribs
- Patch away the installation of the GNOME desktop file -> Mandrake doesn't use it

